unit uAcercaDe;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, JvGIF, ExtCtrls, JvExControls, JvComponent, JvGradient, StdCtrls;

type
  TfAcercaDe = class(TForm)
    JvGradient1: TJvGradient;
    Panel1: TPanel;
    Bevel1: TBevel;
    bAceptar: TButton;
    memModulos: TMemo;
    procedure FormShow(Sender: TObject);
  end;

implementation

{$R *.dfm}

uses JclFileUtils;

procedure TfAcercaDe.FormShow(Sender: TObject);
var
  Obj : TJclFileVersionInfo;
begin
  memModulos.Lines.Clear;

  Obj := TJclFileVersionInfo.Create(Application.ExeName);
  try
    with Obj do
    begin
      memModulos.Lines.Add(ProductName + ' - Versión ' + FileVersion);
      memModulos.Lines.Add(CompanyName);
      memModulos.Lines.Add('');
      memModulos.Lines.Add('Se autoriza el uso de este programa a:');
      memModulos.Lines.Add('TECSITEL S.L.');
    end;
  finally
    FreeAndNil(Obj);
  end;
end;

end.
